@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@font-face {
    font-family: "madesunflower";
    src: url(fonts/madesunflower.ttf)
}

@font-face {
    font-family: "protest";
    src: url(fonts/protest.ttf);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    font-family: madesunflower;
    
    & p {
        font-family: "fira sans", sans-serif;
    }

    & h1 {
        font-family: protest;
    }
    
}

.subir {
    background-color: black;
    text-align: center;
    width: 100px;
    padding: 20px;
    position: fixed;
    right: 20px;
    bottom: 20px;
    border-radius: 20px;

    & a {
        text-decoration: none;
        color: #E7D8C3;
    }
}

.menu{
    padding: 30px;
    display: flex;
    gap: 40px;
    justify-content: center;
    text-decoration: none;
    
    & a {
        text-decoration: none;
        color: #E7D8C3;
        padding-bottom: 10px;
    }

    & a:hover{
        border-bottom: solid 3px #E7D8C3;
        cursor: pointer;
    }
}

header {
    width: 100%;
    height: 655px;
    background-image: url(assets/1x/bg-header.png);
    background-size: cover;
    color: #E7D8C3;
}

.div-container {
    position: relative;
    margin: 0 auto;
    width: 100%;
    max-width: 1000px
}

.cwine-text {
    width: 250px;
    padding: 30px;
    background-color: #531b24;
    color: #e7d8c3;
    position: absolute;
    left: 5%;
    border-radius: 20px;
    top: 150px;
}

.img-lauravector {
    width: 30%;
    height: 500px;
    background-image: url(assets/SVG/laura-vector.svg);
    position: absolute;
    left: 30%;
    background-size: cover;
    top: 75px;
    z-index: 1;
}

.h1-relleno {
    position: absolute;
    left: 55%;
    top: 150px;
    font-size: 70px;
    z-index: 2;
}

.h1-border1 {
    position: absolute;
    left: 55%;
    top: 185px;
    color: transparent;
    -webkit-text-stroke: 0.1px #e7d8c3ac;
    font-size: 70px; 
}

.h1-border2 {
    position: absolute;
    left: 55%;
    top: 215px;
    color: transparent;
    -webkit-text-stroke: 0.1px #e7d8c3ac; 
    font-size: 70px;
}

.h1-border3 {
    position: absolute;
    left: 55%;
    top: 245px;
    color: transparent;
    -webkit-text-stroke: 0.1px #e7d8c3ac; 
    font-size: 70px;
}

.presentacion {
    width: 100%;
    padding: 50px 0px;
    background-image: url(assets/1x/bg-prest.png);
    background-size: cover;
}

.aboutme {
    width: 80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;

    & h1 {
        font-size: 70px;
        color: #6a2931;
    }
}

.wine-div {
    width: 70%;
    background-color: #6a2931;
    border-radius: 14px;
    padding: 20px;
}

.cream-div {
    background-color: #E7D8C3;
    border-radius: 50px;
    padding: 70px;
    display: flex;
}

.text-about {
    width: 40%;

}

.dates {
    position: absolute;

}

.foto-laura {
    width: 70%;
    position: relative;
    left: 60%;
    top: -160px;
}

.habilidades {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.skills {
    width: 80%;
    margin: 30px auto;
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    & h1 {
        font-size: 70px;
        color: #6a2931;
    }
}

.wine-div2 {
    width: 70%;
    background-color: #6a2931;
    border-radius: 14px;
    padding: 20px;
}

.cream-div2 {
    background-color: #E7D8C3;
    height:100%;
    border-radius: 50px;
    padding: 70px;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-between;
    gap: 25px 90px;

    & img {
        width: 15%;
    }
}

.trabajos {
  width: 100%;
  padding: 50px 0;
  background-color: #6a2931;
  color: #e7d8c3;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.title-portafolio {
  margin: auto;
}

.botones {
  width: 80%;
  display: flex;
  margin: 0 auto;
  margin-top: 60px;
  justify-content: space-around;
}

.button-primary {
  background-color: #E7D8C3;
  color: #531b24;
  padding: 15px 40px;
  font-size: 18px;
  border: none;
  border-radius: 30px;
  margin-bottom: 50px;
  cursor: pointer;
}

.button-primary:hover {
  background-color: #531b24;
  color: #E7D8C3;
  border: 4px solid #E7D8C3;
}

.h1-relleno-section {
  font-size: 70px;
  z-index: 1;
}

.h1-border1-section,
.h1-border2-section {
  position: relative;
  font-size: 70px;
  color: transparent;
  -webkit-text-stroke: 0.1px #e7d8c3ac;
}

.h1-border1-section {
  top: 66px;
}

.h1-border2-section {
  top: -64px;
}

#t1, #t2, #t3 {
  display: none;
}

#t1:checked + .marca,
#t2:checked + .estilo,
#t3:checked + .modelado {
  display: block;
}

.marca,
.estilo,
.modelado {
  width: 100%;
  background-color: #E7D8C3;
  display: none;
  padding: 20px 0;
  color: #000;
}

.marca h2,
.estilo h2,
.modelado h2 {
  text-align: center;
  color: #6a2931;
  font-size: 30px;
  margin: 20px 0;
  font-family: protest;
}

.slider {
  position: relative;
  width: 80%;
  overflow: hidden;
  margin: 0 auto 40px;
}

.images {
  display: flex;
  width: 100%;
}

.images input {
  display: none;
}

.images img,
.images {
  height: 100%;
  width: 100%;
  flex-shrink: 0;
  transition: margin-left 0.3s ease-in-out;
  border: none;
}

iframe {
    height: 700px;
  width: 100%;
  flex-shrink: 0;
  transition: margin-left 0.3s ease-in-out;
  border: none;
}

.dots {
  display: flex;
  justify-content: center;
  margin: 10px 0;
}

.dots label {
  height: 20px;
  width: 20px;
  border-radius: 50%;
  border: solid #531b24 3px;
  cursor: pointer;
  transition: all 0.15s ease;
  margin: 5px;
}

.dots label:hover {
  background-color: #531b24;
}

/* Creser Slider */
#creser1:checked ~ .creser1 {
  margin-left: 0;
}

#creser2:checked ~ .creser2 {
  margin-left: -100%;
}

/* Horizontal Slider */
#horizontal1:checked ~ .horizontal1 {
  margin-left: 0;
}

#horizontal2:checked ~ .horizontal2 {
  margin-left: -100%;
}

/* Maconvid Slider */
#maconvid1:checked ~ .maconvid1 {
  margin-left: 0;
}

#maconvid2:checked ~ .maconvid2 {
  margin-left: -100%;
}

#maconvid3:checked ~ .maconvid3 {
  margin-left: -200%;
}

/* Estilo Slider */
#estilo1:checked ~ .estilo1 {
  margin-left: 0;
}

#estilo2:checked ~ .estilo2 {
  margin-left: -100%;
}

#estilo3:checked ~ .estilo3 {
  margin-left: -200%;
}

/* Modelado Slider */
#modelado1:checked ~ .modelado1 {
  margin-left: 0;
}

#modelado2:checked ~ .modelado2 {
  margin-left: -100%;
}

#modelado3:checked ~ .modelado3 {
  margin-left: -200%;
}




footer {
  width: 100%;
  background-image: url(assets/1x/bg-footer_2.png);
  background-size: cover;
  background-position: center;
  padding: 50px 0 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.redes {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 80%;
  margin: auto;
  text-align: center;

    & div {
     display: flex;
    flex-direction: column;
    align-items: center;
    }
  
    & img {
        width: 55px;
        margin-bottom: 10px;
    }

     & p {
    margin-top: 20px;
    font-family: madesunflower;
    color: #E7D8C3;
    font-weight: bold;
    font-size: 16px;
    text-transform: uppercase;
    }

    & a {
        text-decoration: none;
        color: #E7D8C3;
    }

}


.copy {
  width: 100%;
  background-color: #531b24;
  color: #E7D8C3;
  text-align: center;
  padding: 20px 0;
  margin-top: 50px;

    & p {
        margin: 0;
        font-family: madesunflower;
    }
}

@media (991px < width <= 1400px){

    .h1-relleno, .h1-border1, .h1-border2, .h1-border3 
    {
    font-size: 50px;
    }

    .foto-laura {
    width: 70%;
    position: relative;
    left: 45%;
    top: -140px;
}

 iframe {
    max-height: 500px;
  }

}




/* TABLET*/
@media (width >768px) and (width <= 991px){

    header {
    background-image: url(assets/1x/bg-header_tablet.png);
    }

    .h1-relleno, .h1-border1, .h1-border2, .h1-border3 
    {
    font-size: 60px;
    }

    .cwine-text {
        display: none
    }
    .img-lauravector {
    width: 35%;
    position: absolute;
    left: 30%; 
    }

    .h1-relleno {
    left: 26%;
    top: 15px;
    }

    .h1-border1 {
    left: 26%;
    top: 45px; 
    }

    .h1-border2 {
    left: 26%;
    top: 75px;
    }

    .h1-border3 {
    left: 26%;
    top: 105px;
    }
    
    .presentacion {
        background-image: none;
        background-color: #E7D8C3;
    }

    .wine-div{
        width: 100%;
        margin-left: -110px;
    }

    .foto-laura {
    width: 70%;
    position: relative;
    left: 40%;
    top: -100px;
    }

    .skills h1 {
        margin-right: -30px;
    }

    .wine-div2 {
         width: 100%;
        margin-right: -110px;
    }

    .cream-div2 {
        gap: 25px 120px;
        
        & img {
        width: 20%;
    }
    }


    iframe {
    max-height: 350px;
  }

    .redes{
        flex-direction: column;

        & a {
            display: flex;
            gap: 60px 30px;
        }
    }
}

/* CELULAR*/
@media (width <= 768px) {

    .menu {
        flex-direction: column;
        align-items: center;

        & :hover {
            background-color: #531b24;
            width: 100%;
            padding: 20px;
            text-align: center;
            cursor: pointer;
        }

        & a:hover{
            display: none;
        }
    }


    .h1-relleno, .h1-border1, .h1-border2, .h1-border3 
    {
    display: none;
    }

 
    header {
    background-image: url(assets/1x/bg-header_cel.png);
    height: 300px;
    }

    .img-lauravector {
    display: none;
    }

    .cwine-text {
        display: none
    }

    .presentacion {
        background-image: none;
        background-color: #E7D8C3;
    }

    .botones{
        flex-direction: column;
        align-items: center;
    }
    .h1-relleno-section,
  .h1-border1-section,
  .h1-border2-section {
    font-size: 28px;
  }

  iframe {
    max-height: 250px;
  }


    .redes p {
        display: none;
    }


    .aboutme h1,
  .skills h1 {
    font-size: 36px;
  }

.wine-div{
    width: 70%;
}

.cream-div{
    padding: 20px;
}

.text-about{
    width: 100%;
}

.dates{
    display: none;
}
   
  .cream-div2 {
    padding: 30px;
    gap: 15px 30px;
  }

  .cream-div2 img {
    width: 50px;
  }

  .foto-laura {
    display: none;
  }

}



